%define name musictoolbox
%define version 0.0.51
%define unmangled_version 0.0.51
%define unmangled_version 0.0.51
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: A set of utilities to help you groom your music collection
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>
Requires: python3-mutagen python3-iniparse python3-packaging
Url: http://github.com/Rudd-O/musictoolbox

%description
Music toolbox
=============

This is a small toolbox of utilities written in Python 2 that help users groom their music collection.

What's in the box
-----------------

`syncplaylists` takes a number of file lists / playlists in the command line,
and a destination directory, then synchronizes all the songs in the playlists
to the destination directory, with optional modifications to the files and their
names as they are copied to the destination directory.  `syncplaylists` preserves
your music collection's directory structure.

`syncplaylists` requires a simple INI file in your home directory (name it
`.syncplaylists.ini`) which must say how you want things to be transcoded:
::

    # cat .syncplaylists.ini
    [transcoding]
    mp3=copy
    m4a=copy
    ogg=copy
    flac=copy
    *=mp3
    opus=copy

Once you've created the INI file, here's the quickstart version of how you
actually *use* the tool:

```
[user@laptop ~/Music]$ syncplaylists -vd Playlists/*.m3u /mnt/usbdrive/Music/
```

That will copy all songs listed in all M3U playlists within your
`~/Music/Playlists` folder directly into `/mnt/usbdrive/Music`, preserving
the directory structure you have.

Run `syncplaylists --help` or see `get_parser()` in file `synccli.py` for more
information.

`genplaylist` generates playlists.  Run `genplaylist --help` or see
`get_parser()` in file `genplaylist` for more information.

Requirements
------------

This is a non-exhaustive list of requirements for most of these utilities to work:

  - python-setuptools
  - ffmpeg
  - python-mutagen
  - mp3gain
  - madplay
  - mplayer
  - mppenc
  - vorbis-tools
  - flac



%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README.md
